/*******************************************************************************
 *  Copyright 2017 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  
 *    http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.hl7282.baselibs.segments;

import cdac.medinfo.sdk.hl7282.baselibs.CQ;
import cdac.medinfo.sdk.hl7282.baselibs.CWE;
import cdac.medinfo.sdk.hl7282.baselibs.ID;
import cdac.medinfo.sdk.hl7282.baselibs.NM;
import cdac.medinfo.sdk.hl7282.baselibs.SI;
import cdac.medinfo.sdk.hl7282.commoninterface.IDataType;
import cdac.medinfo.sdk.hl7282.commoninterface.ISingleCollection;
import cdac.medinfo.sdk.hl7282.utils.EnumSegments;


/**
 * RXV - Pharmacy/Treatment Infusion Segment.<p>
 * The RXV segment details the pharmacy or treatment application's encoding of specific infusion order parameters.
 * <p>Represents an HL7 RXV message segment. 
 * This segment has the following fields:</p><p>
 * RXV-1: Set ID - RXV (SI)<b>Optional</b><br> 
 * RXV-2: Bolus Type (ID)<b>Required</b><br> 
 * RXV-3: Bolus Dose Amount (NM)<b>Optional</b><br> 
 * RXV-4: Bolus Dose Amount Units (CWE)<b>Optional</b><br> 
 * RXV-5: Bolus Dose Volume (NM)<b>Optional</b><br> 
 * RXV-6: Bolus Dose Volume Units(CWE)<b>Optional</b><br> 
 * RXV-7: PCA Type (ID)<b>Required</b><br> 
 * RXV-8: PCA Dose Amount (NM)<b>Optional</b><br> 
 * RXV-9: PCA Dose Amount Units (CWE)<b>Optional</b><br> 
 * RXV-10: PCA Dose Amount Volume (NM)<b>Optional</b><br> 
 * RXV-11: PCA Dose Amount Volume Units (CWE)<b>Optional</b><br> 
 * RXV-12: Max Dose Amount (NM)<b>Optional</b><br> 
 * RXV-13: Max Dose Amount Units (CWE)<b>Optional</b><br> 
 * RXV-14: Max Dose Amount Volume (NM)<b>Optional</b><br> 
 * RXV-15: Max Dose Amount Volume Units (CWE)<b>Optional</b><br> 
 * RXV-16: Max Dose per Time (CQ)<b>Required</b><br> 
 * RXV-17: Lockout Interval (CQ)<b>Optional</b><br> 
 * RXV-18: Syringe Manufacturer (CWE)<b>Optional</b><br> 
 * RXV-19: Syringe Model Number (CWE)<b>Optional</b><br> 
 * RXV-20: Syringe Size (NM)<b>Conditional</b><br> 
 * RXV-21: Syringe Size Units (CWE)<b>Conditional</b><br> 
 * RXV-22: Action Code (ID)<b>Optional</b><br> 
 * This class provides mechanism to validate message against HL7 v 2.8.2 standard.
 * The class provides accessors & mutators for the elements mentioned above.
 * The class has validate method which validates Message against HL7 v 2.8.2 standard.
 *
 * <p>User can also create Segment through {@link SegmentFactory}
 */
public class RXV extends Segment   
{
	

	/**
	 * Constructs the ABS segment.
	 */
	public RXV()
	{super(EnumSegments.HL7_SEG_RXV);
	}

	/**
	 * Retrieves the Set ID RXV.
	 * this field specify the number that identifies this transaction.
	 * @return String - setID_RXV
	 */
	public SI getSetID_RXV() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3318);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (SI)objDataCollection.elementAt(0);
		else
			return null;
	}
	/**`
	 * Set the Set ID RXV.
	 * this field specify the number that identifies this transaction.
	 * @param strSetID_RXV This field contains the number that identifies RXV transaction. 
	 */	
	public void setSetID_RXV(String strSetID_RXV)
	{
		SI setID_RXV  = (SI)getDataElement(3318);
		setID_RXV.setValue(strSetID_RXV); 
		setSetID_RXV(setID_RXV);
	}

	/**
	 * Set the Set ID RXV.
	 * this field specify the number that identifies this transaction.
	 * @param objSetID_RXV Object of Set ID RXV.
	 */
	public void setSetID_RXV(SI objSetID_RXV)
	{
		setDataType(3318,objSetID_RXV);
	}
	
	/**
	 * Retrieves the Bolus Type.
	 * This field identifies the type of bolus being ordered.  
	 * @return ID - BolusType
	 */
	public ID getBolusType() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3319);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (ID)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Bolus Type.
	 * This field identifies the type of bolus being ordered.  
	 * @param strBolusType This field identifies the type of bolus being ordered.
	 * 
	 */ 
	public void setBolusType (String strBolusType) 
	{
		ID BolusType  = (ID)getDataElement(3319);
		BolusType.setValue(strBolusType); 
		setBolusType(BolusType);

	} 

	/** Set the Bolus Type.
	 * This field identifies the type of bolus being ordered.  
	 * @param objBolusType This field identifies the type of bolus being ordered.
	 * 
	 */ 
	public void setBolusType(ID objBolusType)
	{
		setDataType(3319,objBolusType);
	}
	
	/**
	 * Retrieves the Bolus Dose Amount.
	 * This field contains the ordered bolus amount.  
	 * For example, if the ordered bolus is 50 mg, this field contains the value of 50.
	 * @return NM - BolusDoseAmount
	 */
	public NM getBolusDoseAmount() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3320);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (NM)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Bolus Dose Amount.
	 * This field contains the ordered bolus amount.  
	 * For example, if the ordered bolus is 50 mg, this field contains the value of 50.
	 * @param strBolusDoseAmount This field contains the String Value of Bolus Dose Amount 
	 */ 
	public void setBolusDoseAmount (String strBolusDoseAmount) 
	{
		NM BolusDoseAmount  = (NM)getDataElement(3320);
		BolusDoseAmount.setValue(strBolusDoseAmount); 
		setBolusDoseAmount(BolusDoseAmount);

	} 

	/** 
	 * Set the Bolus Dose Amount.
	 * This field contains the ordered bolus amount.  
	 * For example, if the ordered bolus is 50 mg, this field contains the value of 50.
	 * @param objBolusDoseAmount Object of Bolus Dose Amount.
	 */ 
	public void setBolusDoseAmount(NM objBolusDoseAmount)
	{
		setDataType(3320,objBolusDoseAmount);

	}
	
	/**
	 * Retrieves the Bolus Dose Amount Units.
	 * This field indicates the amount units associated with the bolus dose amount.
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @return CWE - BolusDoseAmountUnits
	 */
	public CWE getBolusDoseAmountUnits() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3321);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (CWE)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Bolus Dose Amount Units.
	 * This field indicates the amount units associated with the bolus dose amount.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @param strIdentifier Specifies of characters (the code) that uniquely identifies the item being referenced. 
	 * @param strText Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction. 
	 * @param strNameOfCodingSystem Identifies the coding scheme being used in the identifier component.
	 * @param strAlternateIdentifier Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
	 * @param strAlternateText Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
	 * @param strNameOfAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component. 
	 * @param strCodingSystemVersionID A sequence of characters that uniquely identifies a second alternate code.
	 * @param strAlternateCodingSystemVersionId This component carries the version for the coding system identified by components 4-6.
	 * @param strOriginalText The text as seen and/or selected by the user who entered the data.
	 * @param strSecondAlternateIdentifier A sequence of characters that uniquely identifies a second alternate code.
	 * @param strSecondAlternateText The descriptive or textual name of the alternate identifier.
	 * @param strNameofSecondAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component.
	 * @param strSecondAlternateCodingSystemVersionID This component carries the version for the coding system identified by components 10-12.
	 * @param strCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
	 * @param strValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
	 * @param strValueSetVersionID This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
	 * @param strAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
	 * @param strAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
	 * @param strAlternateValueSetVersionID This component carries the version for the value set identified by CWE.18. The version is a date.
	 * @param strSecondAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
	 * @param strSecondAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
	 * @param strSecondAlternateValueSetVersionID This component carries the version for the value set identified by CWE.21. The version is a date.
	 */ 
	public void setBolusDoseAmountUnits(String strIdentifier,String strText,String strNameOfCodingSystem,
			String strAlternateIdentifier,String strAlternateText,String strNameOfAlternateCodingSystem, String strCodingSystemVersionID, String strAlternateCodingSystemVersionId,
			String strOriginalText, String  strSecondAlternateIdentifier, String strSecondAlternateText, 
			String strNameofSecondAlternateCodingSystem, String strSecondAlternateCodingSystemVersionID, String strCodingSystemOID, String strValueSetOID,
			String strValueSetVersionID, String strAlternateCodingSystemOID, String strAlternateValueSetOID, String strAlternateValueSetVersionID,
			String  strSecondAlternateCodingSystemOID, String strSecondAlternateValueSetOID, String strSecondAlternateValueSetVersionID)
	{
		CWE cwe  = (CWE)getDataElement(3321);
		cwe.setIdentifier(strIdentifier);
		cwe.setText(strText);
		cwe.setNameOfCodingSystem(strNameOfCodingSystem);
		cwe.setAlternateIdentifier(strAlternateIdentifier);
		cwe.setAlternateText(strAlternateText);
		cwe.setNameOfAlternateCodingSystem(strNameOfAlternateCodingSystem); 
		cwe.setCodingSystemVersionID(strCodingSystemVersionID);
		cwe.setAlternateCodingSystemVersionId(strAlternateCodingSystemVersionId);
		cwe.setOriginalText(strOriginalText);
		cwe.setSecondAlternateIdentifier(strSecondAlternateIdentifier);
		cwe.setSecondAlternateText(strSecondAlternateText);
		cwe.setNameofSecondAlternateCodingSystem(strNameofSecondAlternateCodingSystem);
		cwe.setSecondAlternateCodingSystemVersionID(strSecondAlternateCodingSystemVersionID);
		cwe.setCodingSystemOID(strCodingSystemOID);
		cwe.setValueSetOID(strValueSetOID);
		cwe.setValueSetVersionID(strValueSetVersionID);
		cwe.setAlternateCodingSystemOID(strAlternateCodingSystemOID);
		cwe.setAlternateValueSetOID(strAlternateValueSetOID);
		cwe.setAlternateValueSetVersionID(strAlternateValueSetVersionID);
		cwe.setSecondAlternateCodingSystemOID(strSecondAlternateCodingSystemOID);
		cwe.setSecondAlternateValueSetOID(strSecondAlternateValueSetOID);
		cwe.setSecondAlternateValueSetVersionID(strSecondAlternateValueSetVersionID);
		setBolusDoseAmountUnits(cwe);

	} 

	/** 
	 * Set the Bolus Dose Amount Units.
	 * This field indicates the amount units associated with the bolus dose amount.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @param objBolusDoseAmountUnits Object of Bolus Dose Amount Units.
	 */ 
	public void setBolusDoseAmountUnits(CWE objBolusDoseAmountUnits)
	{
		setDataType(3321,objBolusDoseAmountUnits);
	}
	
	/**
	 * Retrieves the Bolus Dose Volume.
	 * This field defines the volume measurement for the ordered bolus amount.  
	 * For example, if the ordered bolus is 5 ml, this field contains the value of 5.
	 * @return NM - BolusDoseVolume
	 */
	public NM getBolusDoseVolume() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3322);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (NM)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Bolus Dose Volume.
	 * This field defines the volume measurement for the ordered bolus amount.  
	 * For example, if the ordered bolus is 5 ml, this field contains the value of 5.
	 * @param strBolusDoseVolume This field contains the String Value of Bolus Dose Volume 
	 */ 
	public void setBolusDoseVolume (String strBolusDoseVolume) 
	{
		NM BolusDoseVolume  = (NM)getDataElement(3322);
		BolusDoseVolume.setValue(strBolusDoseVolume); 
		setBolusDoseVolume(BolusDoseVolume);
	} 
	
	/** 
	 * Set the Bolus Dose Volume.
	 * This field defines the volume measurement for the ordered bolus amount.  
	 * For example, if the ordered bolus is 5 ml, this field contains the value of 5.
	 * @param objBolusDoseVolume Object of Bolus Dose Volume. 
	 */ 
	public void setBolusDoseVolume(NM objBolusDoseVolume)
	{
		setDataType(3322,objBolusDoseVolume);

	}
	
	/**
	 * Retrieves the Bolus Dose Volume Units.
	 * This field indicates the amount units associated with the bolus dose volume.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @return CWE - BolusDoseAmountUnits
	 */
	public CWE getBolusDoseVolumeUnits() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3323);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (CWE)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Bolus Dose Volume Units.
	 * This field indicates the amount units associated with the bolus dose volume.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @param strIdentifier Specifies of characters (the code) that uniquely identifies the item being referenced. 
	 * @param strText Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction. 
	 * @param strNameOfCodingSystem Identifies the coding scheme being used in the identifier component.
	 * @param strAlternateIdentifier Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
	 * @param strAlternateText Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
	 * @param strNameOfAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component. 
	 * @param strCodingSystemVersionID A sequence of characters that uniquely identifies a second alternate code.
	 * @param strAlternateCodingSystemVersionId This component carries the version for the coding system identified by components 4-6.
	 * @param strOriginalText The text as seen and/or selected by the user who entered the data.
	 * @param strSecondAlternateIdentifier A sequence of characters that uniquely identifies a second alternate code.
	 * @param strSecondAlternateText The descriptive or textual name of the alternate identifier.
	 * @param strNameofSecondAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component.
	 * @param strSecondAlternateCodingSystemVersionID This component carries the version for the coding system identified by components 10-12.
	 * @param strCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
	 * @param strValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
	 * @param strValueSetVersionID This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
	 * @param strAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
	 * @param strAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
	 * @param strAlternateValueSetVersionID This component carries the version for the value set identified by CWE.18. The version is a date.
	 * @param strSecondAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
	 * @param strSecondAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
	 * @param strSecondAlternateValueSetVersionID This component carries the version for the value set identified by CWE.21. The version is a date.
	 */ 
	public void setBolusDoseVolumeUnits(String strIdentifier,String strText,String strNameOfCodingSystem,
			String strAlternateIdentifier,String strAlternateText,String strNameOfAlternateCodingSystem, String strCodingSystemVersionID, String strAlternateCodingSystemVersionId,
			String strOriginalText, String  strSecondAlternateIdentifier, String strSecondAlternateText, 
			String strNameofSecondAlternateCodingSystem, String strSecondAlternateCodingSystemVersionID, String strCodingSystemOID, String strValueSetOID,
			String strValueSetVersionID, String strAlternateCodingSystemOID, String strAlternateValueSetOID, String strAlternateValueSetVersionID,
			String  strSecondAlternateCodingSystemOID, String strSecondAlternateValueSetOID, String strSecondAlternateValueSetVersionID)
	{
		CWE cwe  = (CWE)getDataElement(3323);
		cwe.setIdentifier(strIdentifier);
		cwe.setText(strText);
		cwe.setNameOfCodingSystem(strNameOfCodingSystem);
		cwe.setAlternateIdentifier(strAlternateIdentifier);
		cwe.setAlternateText(strAlternateText);
		cwe.setNameOfAlternateCodingSystem(strNameOfAlternateCodingSystem); 
		cwe.setCodingSystemVersionID(strCodingSystemVersionID);
		cwe.setAlternateCodingSystemVersionId(strAlternateCodingSystemVersionId);
		cwe.setOriginalText(strOriginalText);
		cwe.setSecondAlternateIdentifier(strSecondAlternateIdentifier);
		cwe.setSecondAlternateText(strSecondAlternateText);
		cwe.setNameofSecondAlternateCodingSystem(strNameofSecondAlternateCodingSystem);
		cwe.setSecondAlternateCodingSystemVersionID(strSecondAlternateCodingSystemVersionID);
		cwe.setCodingSystemOID(strCodingSystemOID);
		cwe.setValueSetOID(strValueSetOID);
		cwe.setValueSetVersionID(strValueSetVersionID);
		cwe.setAlternateCodingSystemOID(strAlternateCodingSystemOID);
		cwe.setAlternateValueSetOID(strAlternateValueSetOID);
		cwe.setAlternateValueSetVersionID(strAlternateValueSetVersionID);
		cwe.setSecondAlternateCodingSystemOID(strSecondAlternateCodingSystemOID);
		cwe.setSecondAlternateValueSetOID(strSecondAlternateValueSetOID);
		cwe.setSecondAlternateValueSetVersionID(strSecondAlternateValueSetVersionID);
		setBolusDoseVolumeUnits(cwe);

	} 

	/** 
	 * Set the Bolus Dose Volume Units.
	 * This field indicates the amount units associated with the bolus dose volume.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @param objBolusDoseVolumeUnits Object of Bolus Dose Volume Units.
	 */ 
	public void setBolusDoseVolumeUnits(CWE objBolusDoseVolumeUnits)
	{
		setDataType(3323,objBolusDoseVolumeUnits);
	}
	
	/**
	 * Retrieves the PCA Type.
	 * This field identifies the type of bolus being ordered.   
	 * @return ID - PCAType
	 */
	public ID getPCAType() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3324);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (ID)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the PCA Type.
	 * This field identifies the type of bolus being ordered.  
	 * @param strPCAType This field identifies the type of bolus being ordered.
	 * 
	 */ 
	public void setPCAType (String strPCAType) 
	{
		ID PCAType  = (ID)getDataElement(3324);
		PCAType.setValue(strPCAType); 
		setPCAType(PCAType);

	} 

	/** Set the PCA Type.
	 * This field identifies the type of bolus being ordered.  
	 * @param objPCAType This field identifies the type of bolus being ordered.
	 * 
	 */ 
	public void setPCAType(ID objPCAType)
	{
		setDataType(3324,objPCAType);
	}
	
	/**
	 * Retrieves the PCA Dose Amount.
	 * This field contains the order's PCA dose amount.   
	 * Example:  if the ordered bolus is 3 mg, this field contains the value of 3.
	 * @return NM - PCADoseAmount
	 */
	public NM getPCADoseAmount() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3325);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (NM)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the PCA Dose Amount.
	 * This field contains the order's PCA dose amount.   
	 * Example:  if the ordered bolus is 3 mg, this field contains the value of 3.
	 * @param strPCADoseAmount This field contains the String Value of PCA Dose Amount 
	 */ 
	public void setPCADoseAmount (String strPCADoseAmount) 
	{
		NM PCADoseAmount  = (NM)getDataElement(3325);
		PCADoseAmount.setValue(strPCADoseAmount); 
		setPCADoseAmount(PCADoseAmount);

	} 

	/** 
	 * Set the PCA Dose Amount.
	 * This field contains the order's PCA dose amount.   
	 * Example:  if the ordered bolus is 3 mg, this field contains the value of 3.
	 * @param objPCADoseAmount Object of PCA Dose Amount.
	 */ 
	public void setPCADoseAmount(NM objPCADoseAmount)
	{
		setDataType(3325,objPCADoseAmount);

	}
	
	/**
	 * Retrieves the PCA Dose Amount Units.
	 * This field indicates the amount units associated with the PCA dose amount. 
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @return CWE - PCADoseAmountUnits
	 */
	public CWE getPCADoseAmountUnits() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3326);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (CWE)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the PCA Dose Amount Units.
	 * This field indicates the amount units associated with the PCA dose amount. 
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @param strIdentifier Specifies of characters (the code) that uniquely identifies the item being referenced. 
	 * @param strText Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction. 
	 * @param strNameOfCodingSystem Identifies the coding scheme being used in the identifier component.
	 * @param strAlternateIdentifier Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
	 * @param strAlternateText Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
	 * @param strNameOfAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component. 
	 * @param strCodingSystemVersionID A sequence of characters that uniquely identifies a second alternate code.
	 * @param strAlternateCodingSystemVersionId This component carries the version for the coding system identified by components 4-6.
	 * @param strOriginalText The text as seen and/or selected by the user who entered the data.
	 * @param strSecondAlternateIdentifier A sequence of characters that uniquely identifies a second alternate code.
	 * @param strSecondAlternateText The descriptive or textual name of the alternate identifier.
	 * @param strNameofSecondAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component.
	 * @param strSecondAlternateCodingSystemVersionID This component carries the version for the coding system identified by components 10-12.
	 * @param strCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
	 * @param strValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
	 * @param strValueSetVersionID This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
	 * @param strAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
	 * @param strAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
	 * @param strAlternateValueSetVersionID This component carries the version for the value set identified by CWE.18. The version is a date.
	 * @param strSecondAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
	 * @param strSecondAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
	 * @param strSecondAlternateValueSetVersionID This component carries the version for the value set identified by CWE.21. The version is a date.
	 */ 
	public void setPCADoseAmountUnits(String strIdentifier,String strText,String strNameOfCodingSystem,
			String strAlternateIdentifier,String strAlternateText,String strNameOfAlternateCodingSystem, String strCodingSystemVersionID, String strAlternateCodingSystemVersionId,
			String strOriginalText, String  strSecondAlternateIdentifier, String strSecondAlternateText, 
			String strNameofSecondAlternateCodingSystem, String strSecondAlternateCodingSystemVersionID, String strCodingSystemOID, String strValueSetOID,
			String strValueSetVersionID, String strAlternateCodingSystemOID, String strAlternateValueSetOID, String strAlternateValueSetVersionID,
			String  strSecondAlternateCodingSystemOID, String strSecondAlternateValueSetOID, String strSecondAlternateValueSetVersionID)
	{
		CWE cwe  = (CWE)getDataElement(3326);
		cwe.setIdentifier(strIdentifier);
		cwe.setText(strText);
		cwe.setNameOfCodingSystem(strNameOfCodingSystem);
		cwe.setAlternateIdentifier(strAlternateIdentifier);
		cwe.setAlternateText(strAlternateText);
		cwe.setNameOfAlternateCodingSystem(strNameOfAlternateCodingSystem); 
		cwe.setCodingSystemVersionID(strCodingSystemVersionID);
		cwe.setAlternateCodingSystemVersionId(strAlternateCodingSystemVersionId);
		cwe.setOriginalText(strOriginalText);
		cwe.setSecondAlternateIdentifier(strSecondAlternateIdentifier);
		cwe.setSecondAlternateText(strSecondAlternateText);
		cwe.setNameofSecondAlternateCodingSystem(strNameofSecondAlternateCodingSystem);
		cwe.setSecondAlternateCodingSystemVersionID(strSecondAlternateCodingSystemVersionID);
		cwe.setCodingSystemOID(strCodingSystemOID);
		cwe.setValueSetOID(strValueSetOID);
		cwe.setValueSetVersionID(strValueSetVersionID);
		cwe.setAlternateCodingSystemOID(strAlternateCodingSystemOID);
		cwe.setAlternateValueSetOID(strAlternateValueSetOID);
		cwe.setAlternateValueSetVersionID(strAlternateValueSetVersionID);
		cwe.setSecondAlternateCodingSystemOID(strSecondAlternateCodingSystemOID);
		cwe.setSecondAlternateValueSetOID(strSecondAlternateValueSetOID);
		cwe.setSecondAlternateValueSetVersionID(strSecondAlternateValueSetVersionID);
		setPCADoseAmountUnits(cwe);

	} 

	/** 
	 * Set the PCA Dose Amount Units.
	 * This field indicates the amount units associated with the PCA dose amount. 
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @param objPCADoseAmountUnits Object of PCA Dose Amount Units.
	 */ 
	public void setPCADoseAmountUnits(CWE objPCADoseAmountUnits)
	{
		setDataType(3326,objPCADoseAmountUnits);
	}
	
	
	/**
	 * Retrieves the PCA Dose Amount Volume.
	 * This field defines the volume measurement for the ordered PCA amount volume.
	 * For example, if the ordered bolus is 5 ml, this field contains the value of 5.
	 * @return NM - PCADoseAmountVolume
	 */
	public NM getPCADoseAmountVolume() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3327);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (NM)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the PCA Dose Amount Volume.
	 * This field defines the volume measurement for the ordered PCA amount volume.
	 * For example, if the ordered bolus is 5 ml, this field contains the value of 5.
	 * @param strPCADoseAmountVolume This field contains the String Value of PCA Dose Amount Volume 
	 */ 
	public void setPCADoseAmountVolume (String strPCADoseAmountVolume) 
	{
		NM PCADoseAmountVolume  = (NM)getDataElement(3327);
		PCADoseAmountVolume.setValue(strPCADoseAmountVolume); 
		setPCADoseAmountVolume(PCADoseAmountVolume);
	} 
	
	/** 
	 * Set the PCA Dose Amount Volume.
	 * This field defines the volume measurement for the ordered PCA amount volume.
	 * For example, if the ordered bolus is 5 ml, this field contains the value of 5.
	 * @param objPCADoseAmountVolume Object of PCA Dose Amount Volume. 
	 */ 
	public void setPCADoseAmountVolume(NM objPCADoseAmountVolume)
	{
		setDataType(3327,objPCADoseAmountVolume);

	}
	
	/**
	 * Retrieves the PCA Dose Amount Volume Units.
	 * This field indicates the amount units associated with the PCA dose volume.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @return CWE - PCADoseAmountVolumeUnits
	 */
	public CWE getPCADoseAmountVolumeUnits() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3328);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (CWE)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the PCA Dose Amount Volume Units.
	 * This field indicates the amount units associated with the PCA dose volume.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @param strIdentifier Specifies of characters (the code) that uniquely identifies the item being referenced. 
	 * @param strText Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction. 
	 * @param strNameOfCodingSystem Identifies the coding scheme being used in the identifier component.
	 * @param strAlternateIdentifier Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
	 * @param strAlternateText Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
	 * @param strNameOfAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component. 
	 * @param strCodingSystemVersionID A sequence of characters that uniquely identifies a second alternate code.
	 * @param strAlternateCodingSystemVersionId This component carries the version for the coding system identified by components 4-6.
	 * @param strOriginalText The text as seen and/or selected by the user who entered the data.
	 * @param strSecondAlternateIdentifier A sequence of characters that uniquely identifies a second alternate code.
	 * @param strSecondAlternateText The descriptive or textual name of the alternate identifier.
	 * @param strNameofSecondAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component.
	 * @param strSecondAlternateCodingSystemVersionID This component carries the version for the coding system identified by components 10-12.
	 * @param strCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
	 * @param strValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
	 * @param strValueSetVersionID This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
	 * @param strAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
	 * @param strAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
	 * @param strAlternateValueSetVersionID This component carries the version for the value set identified by CWE.18. The version is a date.
	 * @param strSecondAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
	 * @param strSecondAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
	 * @param strSecondAlternateValueSetVersionID This component carries the version for the value set identified by CWE.21. The version is a date.
	 */ 
	public void setPCADoseAmountVolumeUnits(String strIdentifier,String strText,String strNameOfCodingSystem,
			String strAlternateIdentifier,String strAlternateText,String strNameOfAlternateCodingSystem, String strCodingSystemVersionID, String strAlternateCodingSystemVersionId,
			String strOriginalText, String  strSecondAlternateIdentifier, String strSecondAlternateText, 
			String strNameofSecondAlternateCodingSystem, String strSecondAlternateCodingSystemVersionID, String strCodingSystemOID, String strValueSetOID,
			String strValueSetVersionID, String strAlternateCodingSystemOID, String strAlternateValueSetOID, String strAlternateValueSetVersionID,
			String  strSecondAlternateCodingSystemOID, String strSecondAlternateValueSetOID, String strSecondAlternateValueSetVersionID)
	{
		CWE cwe  = (CWE)getDataElement(3328);
		cwe.setIdentifier(strIdentifier);
		cwe.setText(strText);
		cwe.setNameOfCodingSystem(strNameOfCodingSystem);
		cwe.setAlternateIdentifier(strAlternateIdentifier);
		cwe.setAlternateText(strAlternateText);
		cwe.setNameOfAlternateCodingSystem(strNameOfAlternateCodingSystem); 
		cwe.setCodingSystemVersionID(strCodingSystemVersionID);
		cwe.setAlternateCodingSystemVersionId(strAlternateCodingSystemVersionId);
		cwe.setOriginalText(strOriginalText);
		cwe.setSecondAlternateIdentifier(strSecondAlternateIdentifier);
		cwe.setSecondAlternateText(strSecondAlternateText);
		cwe.setNameofSecondAlternateCodingSystem(strNameofSecondAlternateCodingSystem);
		cwe.setSecondAlternateCodingSystemVersionID(strSecondAlternateCodingSystemVersionID);
		cwe.setCodingSystemOID(strCodingSystemOID);
		cwe.setValueSetOID(strValueSetOID);
		cwe.setValueSetVersionID(strValueSetVersionID);
		cwe.setAlternateCodingSystemOID(strAlternateCodingSystemOID);
		cwe.setAlternateValueSetOID(strAlternateValueSetOID);
		cwe.setAlternateValueSetVersionID(strAlternateValueSetVersionID);
		cwe.setSecondAlternateCodingSystemOID(strSecondAlternateCodingSystemOID);
		cwe.setSecondAlternateValueSetOID(strSecondAlternateValueSetOID);
		cwe.setSecondAlternateValueSetVersionID(strSecondAlternateValueSetVersionID);
		setPCADoseAmountVolumeUnits(cwe);

	} 

	/** 
	 * Set the PCA Dose Amount Volume Units.
	 * This field indicates the amount units associated with the PCA dose volume.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @param objPCADoseAmountVolumeUnits Object of PCA Dose Amount Volume Units.
	 */ 
	public void setPCADoseAmountVolumeUnits(CWE objPCADoseAmountVolumeUnits)
	{
		setDataType(3328,objPCADoseAmountVolumeUnits);
	}
	
	/**
	 * Retrieves the Max Dose Amount.
	 * This field contains the order's maximum dose amount.  
	 * For example, if the ordered bolus is 50 mg, this field contains the value of 50.
	 * @return NM - MaxDoseAmount
	 */
	public NM getMaxDoseAmount() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3329);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (NM)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Max Dose Amount.
	 * This field contains the order's maximum dose amount.  
	 * For example, if the ordered bolus is 50 mg, this field contains the value of 50.
	 * @param strMaxDoseAmount This field contains the String Value of Max Dose Amount 
	 */ 
	public void setMaxDoseAmount (String strMaxDoseAmount) 
	{
		NM MaxDoseAmount  = (NM)getDataElement(3329);
		MaxDoseAmount.setValue(strMaxDoseAmount); 
		setMaxDoseAmount(MaxDoseAmount);

	} 

	/** 
	 * Set the Max Dose Amount.
	 * This field contains the order's maximum dose amount.  
	 * For example, if the ordered bolus is 50 mg, this field contains the value of 50.
	 * @param objMaxDoseAmount Object of Max Dose Amount.
	 */ 
	public void setMaxDoseAmount(NM objMaxDoseAmount)
	{
		setDataType(3329,objMaxDoseAmount);

	}
	
	/**
	 * Retrieves the Max Dose Amount Units.
	 * This field indicates the amount units associated with the maximum dose volume.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @return CWE - MaxDoseAmountUnits
	 */
	public CWE getMaxDoseAmountUnits() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3330);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (CWE)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Max Dose Amount Units.
	 * This field indicates the amount units associated with the maximum dose volume.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @param strIdentifier Specifies of characters (the code) that uniquely identifies the item being referenced. 
	 * @param strText Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction. 
	 * @param strNameOfCodingSystem Identifies the coding scheme being used in the identifier component.
	 * @param strAlternateIdentifier Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
	 * @param strAlternateText Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
	 * @param strNameOfAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component. 
	 * @param strCodingSystemVersionID A sequence of characters that uniquely identifies a second alternate code.
	 * @param strAlternateCodingSystemVersionId This component carries the version for the coding system identified by components 4-6.
	 * @param strOriginalText The text as seen and/or selected by the user who entered the data.
	 * @param strSecondAlternateIdentifier A sequence of characters that uniquely identifies a second alternate code.
	 * @param strSecondAlternateText The descriptive or textual name of the alternate identifier.
	 * @param strNameofSecondAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component.
	 * @param strSecondAlternateCodingSystemVersionID This component carries the version for the coding system identified by components 10-12.
	 * @param strCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
	 * @param strValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
	 * @param strValueSetVersionID This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
	 * @param strAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
	 * @param strAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
	 * @param strAlternateValueSetVersionID This component carries the version for the value set identified by CWE.18. The version is a date.
	 * @param strSecondAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
	 * @param strSecondAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
	 * @param strSecondAlternateValueSetVersionID This component carries the version for the value set identified by CWE.21. The version is a date.
	 */ 
	public void setMaxDoseAmountUnits(String strIdentifier,String strText,String strNameOfCodingSystem,
			String strAlternateIdentifier,String strAlternateText,String strNameOfAlternateCodingSystem, String strCodingSystemVersionID, String strAlternateCodingSystemVersionId,
			String strOriginalText, String  strSecondAlternateIdentifier, String strSecondAlternateText, 
			String strNameofSecondAlternateCodingSystem, String strSecondAlternateCodingSystemVersionID, String strCodingSystemOID, String strValueSetOID,
			String strValueSetVersionID, String strAlternateCodingSystemOID, String strAlternateValueSetOID, String strAlternateValueSetVersionID,
			String  strSecondAlternateCodingSystemOID, String strSecondAlternateValueSetOID, String strSecondAlternateValueSetVersionID)
	{
		CWE cwe  = (CWE)getDataElement(3330);
		cwe.setIdentifier(strIdentifier);
		cwe.setText(strText);
		cwe.setNameOfCodingSystem(strNameOfCodingSystem);
		cwe.setAlternateIdentifier(strAlternateIdentifier);
		cwe.setAlternateText(strAlternateText);
		cwe.setNameOfAlternateCodingSystem(strNameOfAlternateCodingSystem); 
		cwe.setCodingSystemVersionID(strCodingSystemVersionID);
		cwe.setAlternateCodingSystemVersionId(strAlternateCodingSystemVersionId);
		cwe.setOriginalText(strOriginalText);
		cwe.setSecondAlternateIdentifier(strSecondAlternateIdentifier);
		cwe.setSecondAlternateText(strSecondAlternateText);
		cwe.setNameofSecondAlternateCodingSystem(strNameofSecondAlternateCodingSystem);
		cwe.setSecondAlternateCodingSystemVersionID(strSecondAlternateCodingSystemVersionID);
		cwe.setCodingSystemOID(strCodingSystemOID);
		cwe.setValueSetOID(strValueSetOID);
		cwe.setValueSetVersionID(strValueSetVersionID);
		cwe.setAlternateCodingSystemOID(strAlternateCodingSystemOID);
		cwe.setAlternateValueSetOID(strAlternateValueSetOID);
		cwe.setAlternateValueSetVersionID(strAlternateValueSetVersionID);
		cwe.setSecondAlternateCodingSystemOID(strSecondAlternateCodingSystemOID);
		cwe.setSecondAlternateValueSetOID(strSecondAlternateValueSetOID);
		cwe.setSecondAlternateValueSetVersionID(strSecondAlternateValueSetVersionID);
		setMaxDoseAmountUnits(cwe);

	} 

	/** 
	 * Set the Max Dose Amount Units.
	 * This field indicates the amount units associated with the maximum dose volume.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @param objMaxDoseAmountUnits Object of Max Dose Amount Units.
	 */ 
	public void setMaxDoseAmountUnits(CWE objMaxDoseAmountUnits)
	{
		setDataType(3330,objMaxDoseAmountUnits);
	}
	
	/**
	 * Retrieves the Max Dose Amount Volume.
	 * This field defines the volume measurement for the ordered max dose amount.  
	 * For example, if the ordered bolus is 5 ml, this field contains the value of 5.
	 * @return NM - MaxDoseAmountVolume
	 */
	public NM getMaxDoseAmountVolume() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3331);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (NM)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Max Dose Amount Volume.
	 * This field defines the volume measurement for the ordered max dose amount.  
	 * For example, if the ordered bolus is 5 ml, this field contains the value of 5.
	 * @param strMaxDoseAmountVolume This field contains the String Value of Max Dose Amount Volume 
	 */ 
	public void setMaxDoseAmountVolume (String strMaxDoseAmountVolume) 
	{
		NM MaxDoseAmountVolume  = (NM)getDataElement(3331);
		MaxDoseAmountVolume.setValue(strMaxDoseAmountVolume); 
		setMaxDoseAmountVolume(MaxDoseAmountVolume);
	} 
	
	/** 
	 * Set the Max Dose Amount Volume.
	 * This field defines the volume measurement for the ordered max dose amount.  
	 * For example, if the ordered bolus is 5 ml, this field contains the value of 5.
	 * @param objMaxDoseAmountVolume Object of Max Dose Amount Volume. 
	 */ 
	public void setMaxDoseAmountVolume(NM objMaxDoseAmountVolume)
	{
		setDataType(3331,objMaxDoseAmountVolume);

	}
	
	/**
	 * Retrieves the Max Dose Amount Volume Units.
	 * This field indicates the amount units associated with the maximum dose volume.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @return CWE - MaxDoseAmountVolumeUnits
	 */
	public CWE getMaxDoseAmountVolumeUnits() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3332);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (CWE)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Max Dose Amount Volume Units.
	 * This field indicates the amount units associated with the maximum dose volume.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @param strIdentifier Specifies of characters (the code) that uniquely identifies the item being referenced. 
	 * @param strText Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction. 
	 * @param strNameOfCodingSystem Identifies the coding scheme being used in the identifier component.
	 * @param strAlternateIdentifier Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
	 * @param strAlternateText Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
	 * @param strNameOfAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component. 
	 * @param strCodingSystemVersionID A sequence of characters that uniquely identifies a second alternate code.
	 * @param strAlternateCodingSystemVersionId This component carries the version for the coding system identified by components 4-6.
	 * @param strOriginalText The text as seen and/or selected by the user who entered the data.
	 * @param strSecondAlternateIdentifier A sequence of characters that uniquely identifies a second alternate code.
	 * @param strSecondAlternateText The descriptive or textual name of the alternate identifier.
	 * @param strNameofSecondAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component.
	 * @param strSecondAlternateCodingSystemVersionID This component carries the version for the coding system identified by components 10-12.
	 * @param strCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
	 * @param strValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
	 * @param strValueSetVersionID This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
	 * @param strAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
	 * @param strAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
	 * @param strAlternateValueSetVersionID This component carries the version for the value set identified by CWE.18. The version is a date.
	 * @param strSecondAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
	 * @param strSecondAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
	 * @param strSecondAlternateValueSetVersionID This component carries the version for the value set identified by CWE.21. The version is a date.
	 */ 
	public void setMaxDoseAmountVolumeUnits(String strIdentifier,String strText,String strNameOfCodingSystem,
			String strAlternateIdentifier,String strAlternateText,String strNameOfAlternateCodingSystem, String strCodingSystemVersionID, String strAlternateCodingSystemVersionId,
			String strOriginalText, String  strSecondAlternateIdentifier, String strSecondAlternateText, 
			String strNameofSecondAlternateCodingSystem, String strSecondAlternateCodingSystemVersionID, String strCodingSystemOID, String strValueSetOID,
			String strValueSetVersionID, String strAlternateCodingSystemOID, String strAlternateValueSetOID, String strAlternateValueSetVersionID,
			String  strSecondAlternateCodingSystemOID, String strSecondAlternateValueSetOID, String strSecondAlternateValueSetVersionID)
	{
		CWE cwe  = (CWE)getDataElement(3332);
		cwe.setIdentifier(strIdentifier);
		cwe.setText(strText);
		cwe.setNameOfCodingSystem(strNameOfCodingSystem);
		cwe.setAlternateIdentifier(strAlternateIdentifier);
		cwe.setAlternateText(strAlternateText);
		cwe.setNameOfAlternateCodingSystem(strNameOfAlternateCodingSystem); 
		cwe.setCodingSystemVersionID(strCodingSystemVersionID);
		cwe.setAlternateCodingSystemVersionId(strAlternateCodingSystemVersionId);
		cwe.setOriginalText(strOriginalText);
		cwe.setSecondAlternateIdentifier(strSecondAlternateIdentifier);
		cwe.setSecondAlternateText(strSecondAlternateText);
		cwe.setNameofSecondAlternateCodingSystem(strNameofSecondAlternateCodingSystem);
		cwe.setSecondAlternateCodingSystemVersionID(strSecondAlternateCodingSystemVersionID);
		cwe.setCodingSystemOID(strCodingSystemOID);
		cwe.setValueSetOID(strValueSetOID);
		cwe.setValueSetVersionID(strValueSetVersionID);
		cwe.setAlternateCodingSystemOID(strAlternateCodingSystemOID);
		cwe.setAlternateValueSetOID(strAlternateValueSetOID);
		cwe.setAlternateValueSetVersionID(strAlternateValueSetVersionID);
		cwe.setSecondAlternateCodingSystemOID(strSecondAlternateCodingSystemOID);
		cwe.setSecondAlternateValueSetOID(strSecondAlternateValueSetOID);
		cwe.setSecondAlternateValueSetVersionID(strSecondAlternateValueSetVersionID);
		setMaxDoseAmountVolumeUnits(cwe);

	} 

	/** 
	 * Set the Max Dose Amount Volume Units.
	 * This field indicates the amount units associated with the Max dose volume.  
	 * The preferred coding system is MDC; UCUM are also acceptable.
	 * @param objMaxDoseAmountVolumeUnits Object of Max Dose Amount Volume Units.
	 */ 
	public void setMaxDoseAmountVolumeUnits(CWE objMaxDoseAmountVolumeUnits)
	{
		setDataType(3332,objMaxDoseAmountVolumeUnits);
	}
	
	/**
	 * Retrieves the Max Dose per Time.
	 * This field contains the time unit expression of the lock out parameter.  
	 * For example, if the ordered max dose per time is 4 hours, this field format is "4^h&hours&UCUM".
	 * @return CQ - Max Dose per Time
	 */
	public CQ getMaxDoseperTime() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3333);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (CQ)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Max Dose per Time.
	 * This field contains the time unit expression of the lock out parameter.  
	 * For example, if the ordered max dose per time is 4 hours, this field format is "4^h&hours&UCUM".
	 * @param strQuantity Specifies the numeric quantity or amount of an entity.
	 * @param objUnits Specifies the units in which the quantity is expressed. 
	 */ 
	public void setMaxDoseperTime (String strQuantity,CWE objUnits) 
	{
		CQ MaxDoseperTime  = (CQ)getDataElement(3333);
		MaxDoseperTime.setQuantity(strQuantity);
		MaxDoseperTime.setUnits(objUnits); 
		setMaxDoseperTime(MaxDoseperTime);

	} 

	/** 
	 * Set the Max Dose per Time.
	 * This field contains the time unit expression of the lock out parameter.  
	 * For example, if the ordered max dose per time is 4 hours, this field format is "4^h&hours&UCUM".
	 * @param objMaxDoseperTime Object of Max Dose per Time.  
	 */ 
	public void setMaxDoseperTime(CQ objMaxDoseperTime)
	{
		setDataType(3333,objMaxDoseperTime);

	}
	
	/**
	 * Retrieves the Lockout Interval.
	 * This field contains the length of time that must expire between deliveries of PCA doses. 
	 * For example, if the ordered max dose per time is 10 minutes, this field format is "10^min&minute&UCUM".
	 * @return CQ - Lockout Interval
	 */
	public CQ getLockoutInterval() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3334);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (CQ)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Lockout Interval.
	 * This field contains the length of time that must expire between deliveries of PCA doses. 
	 * For example, if the ordered max dose per time is 10 minutes, this field format is "10^min&minute&UCUM".
	 * @param strQuantity Specifies the numeric quantity or amount of an entity.
	 * @param objUnits Specifies the units in which the quantity is expressed. 
	 */ 
	public void setLockoutInterval (String strQuantity,CWE objUnits) 
	{
		CQ LockoutInterval  = (CQ)getDataElement(3334);
		LockoutInterval.setQuantity(strQuantity);
		LockoutInterval.setUnits(objUnits); 
		setLockoutInterval(LockoutInterval);

	} 

	/** 
	 * Set the Lockout Interval.
	 * This field contains the length of time that must expire between deliveries of PCA doses. 
	 * For example, if the ordered max dose per time is 10 minutes, this field format is "10^min&minute&UCUM".
	 * @param objLockoutInterval Object of Lockout Interval.  
	 */ 
	public void setLockoutInterval(CQ objLockoutInterval)
	{
		setDataType(3334,objLockoutInterval);

	}
	
	/**
	 * Retrieves the Syringe Manufacturer.
	 * This field contains the manufacturer of the syringe containing the ordered medication. 
	 * @return CWE - SyringeManufacturer
	 */
	public CWE getSyringeManufacturer() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3339);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (CWE)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Syringe Manufacturer.
	 * This field contains the manufacturer of the syringe containing the ordered medication. 
	 * @param strIdentifier Specifies of characters (the code) that uniquely identifies the item being referenced. 
	 * @param strText Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction. 
	 * @param strNameOfCodingSystem Identifies the coding scheme being used in the identifier component.
	 * @param strAlternateIdentifier Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
	 * @param strAlternateText Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
	 * @param strNameOfAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component. 
	 * @param strCodingSystemVersionID A sequence of characters that uniquely identifies a second alternate code.
	 * @param strAlternateCodingSystemVersionId This component carries the version for the coding system identified by components 4-6.
	 * @param strOriginalText The text as seen and/or selected by the user who entered the data.
	 * @param strSecondAlternateIdentifier A sequence of characters that uniquely identifies a second alternate code.
	 * @param strSecondAlternateText The descriptive or textual name of the alternate identifier.
	 * @param strNameofSecondAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component.
	 * @param strSecondAlternateCodingSystemVersionID This component carries the version for the coding system identified by components 10-12.
	 * @param strCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
	 * @param strValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
	 * @param strValueSetVersionID This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
	 * @param strAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
	 * @param strAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
	 * @param strAlternateValueSetVersionID This component carries the version for the value set identified by CWE.18. The version is a date.
	 * @param strSecondAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
	 * @param strSecondAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
	 * @param strSecondAlternateValueSetVersionID This component carries the version for the value set identified by CWE.21. The version is a date.
	 */ 
	public void setSyringeManufacturer(String strIdentifier,String strText,String strNameOfCodingSystem,
			String strAlternateIdentifier,String strAlternateText,String strNameOfAlternateCodingSystem, String strCodingSystemVersionID, String strAlternateCodingSystemVersionId,
			String strOriginalText, String  strSecondAlternateIdentifier, String strSecondAlternateText, 
			String strNameofSecondAlternateCodingSystem, String strSecondAlternateCodingSystemVersionID, String strCodingSystemOID, String strValueSetOID,
			String strValueSetVersionID, String strAlternateCodingSystemOID, String strAlternateValueSetOID, String strAlternateValueSetVersionID,
			String  strSecondAlternateCodingSystemOID, String strSecondAlternateValueSetOID, String strSecondAlternateValueSetVersionID)
	{
		CWE cwe  = (CWE)getDataElement(3339);
		cwe.setIdentifier(strIdentifier);
		cwe.setText(strText);
		cwe.setNameOfCodingSystem(strNameOfCodingSystem);
		cwe.setAlternateIdentifier(strAlternateIdentifier);
		cwe.setAlternateText(strAlternateText);
		cwe.setNameOfAlternateCodingSystem(strNameOfAlternateCodingSystem); 
		cwe.setCodingSystemVersionID(strCodingSystemVersionID);
		cwe.setAlternateCodingSystemVersionId(strAlternateCodingSystemVersionId);
		cwe.setOriginalText(strOriginalText);
		cwe.setSecondAlternateIdentifier(strSecondAlternateIdentifier);
		cwe.setSecondAlternateText(strSecondAlternateText);
		cwe.setNameofSecondAlternateCodingSystem(strNameofSecondAlternateCodingSystem);
		cwe.setSecondAlternateCodingSystemVersionID(strSecondAlternateCodingSystemVersionID);
		cwe.setCodingSystemOID(strCodingSystemOID);
		cwe.setValueSetOID(strValueSetOID);
		cwe.setValueSetVersionID(strValueSetVersionID);
		cwe.setAlternateCodingSystemOID(strAlternateCodingSystemOID);
		cwe.setAlternateValueSetOID(strAlternateValueSetOID);
		cwe.setAlternateValueSetVersionID(strAlternateValueSetVersionID);
		cwe.setSecondAlternateCodingSystemOID(strSecondAlternateCodingSystemOID);
		cwe.setSecondAlternateValueSetOID(strSecondAlternateValueSetOID);
		cwe.setSecondAlternateValueSetVersionID(strSecondAlternateValueSetVersionID);
		setSyringeManufacturer(cwe);

	} 
	
	/** 
	 * Set the Syringe Manufacturer.
	 * This field contains the manufacturer of the syringe containing the ordered medication. 
	 * @param objSyringeManufacturer Object of Syringe Manufacturer.
	 */ 
	public void setSyringeManufacturer(CWE objSyringeManufacturer)
	{
		setDataType(3339,objSyringeManufacturer);
	}
	
	/**
	 * Retrieves the Syringe Model Number.
	 * This field contains the model number of the syringe containing the ordered medication.  
	 * @return CWE - SyringeModelNumber
	 */
	public CWE getSyringeModelNumber() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3385);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (CWE)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Syringe Model Number.
	 * This field contains the model number of the syringe containing the ordered medication.   
	 * @param strIdentifier Specifies of characters (the code) that uniquely identifies the item being referenced. 
	 * @param strText Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction. 
	 * @param strNameOfCodingSystem Identifies the coding scheme being used in the identifier component.
	 * @param strAlternateIdentifier Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
	 * @param strAlternateText Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
	 * @param strNameOfAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component. 
	 * @param strCodingSystemVersionID A sequence of characters that uniquely identifies a second alternate code.
	 * @param strAlternateCodingSystemVersionId This component carries the version for the coding system identified by components 4-6.
	 * @param strOriginalText The text as seen and/or selected by the user who entered the data.
	 * @param strSecondAlternateIdentifier A sequence of characters that uniquely identifies a second alternate code.
	 * @param strSecondAlternateText The descriptive or textual name of the alternate identifier.
	 * @param strNameofSecondAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component.
	 * @param strSecondAlternateCodingSystemVersionID This component carries the version for the coding system identified by components 10-12.
	 * @param strCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
	 * @param strValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
	 * @param strValueSetVersionID This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
	 * @param strAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
	 * @param strAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
	 * @param strAlternateValueSetVersionID This component carries the version for the value set identified by CWE.18. The version is a date.
	 * @param strSecondAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
	 * @param strSecondAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
	 * @param strSecondAlternateValueSetVersionID This component carries the version for the value set identified by CWE.21. The version is a date.
	 */ 
	public void setSyringeModelNumber(String strIdentifier,String strText,String strNameOfCodingSystem,
			String strAlternateIdentifier,String strAlternateText,String strNameOfAlternateCodingSystem, String strCodingSystemVersionID, String strAlternateCodingSystemVersionId,
			String strOriginalText, String  strSecondAlternateIdentifier, String strSecondAlternateText, 
			String strNameofSecondAlternateCodingSystem, String strSecondAlternateCodingSystemVersionID, String strCodingSystemOID, String strValueSetOID,
			String strValueSetVersionID, String strAlternateCodingSystemOID, String strAlternateValueSetOID, String strAlternateValueSetVersionID,
			String  strSecondAlternateCodingSystemOID, String strSecondAlternateValueSetOID, String strSecondAlternateValueSetVersionID)
	{
		CWE cwe  = (CWE)getDataElement(3385);
		cwe.setIdentifier(strIdentifier);
		cwe.setText(strText);
		cwe.setNameOfCodingSystem(strNameOfCodingSystem);
		cwe.setAlternateIdentifier(strAlternateIdentifier);
		cwe.setAlternateText(strAlternateText);
		cwe.setNameOfAlternateCodingSystem(strNameOfAlternateCodingSystem); 
		cwe.setCodingSystemVersionID(strCodingSystemVersionID);
		cwe.setAlternateCodingSystemVersionId(strAlternateCodingSystemVersionId);
		cwe.setOriginalText(strOriginalText);
		cwe.setSecondAlternateIdentifier(strSecondAlternateIdentifier);
		cwe.setSecondAlternateText(strSecondAlternateText);
		cwe.setNameofSecondAlternateCodingSystem(strNameofSecondAlternateCodingSystem);
		cwe.setSecondAlternateCodingSystemVersionID(strSecondAlternateCodingSystemVersionID);
		cwe.setCodingSystemOID(strCodingSystemOID);
		cwe.setValueSetOID(strValueSetOID);
		cwe.setValueSetVersionID(strValueSetVersionID);
		cwe.setAlternateCodingSystemOID(strAlternateCodingSystemOID);
		cwe.setAlternateValueSetOID(strAlternateValueSetOID);
		cwe.setAlternateValueSetVersionID(strAlternateValueSetVersionID);
		cwe.setSecondAlternateCodingSystemOID(strSecondAlternateCodingSystemOID);
		cwe.setSecondAlternateValueSetOID(strSecondAlternateValueSetOID);
		cwe.setSecondAlternateValueSetVersionID(strSecondAlternateValueSetVersionID);
		setSyringeModelNumber(cwe);

	} 
	
	/** 
	 * Set the Syringe Model Number.
	 * This field contains the model number of the syringe containing the ordered medication.   
	 * @param objSyringeModelNumber Object of Syringe Model Number.
	 */ 
	public void setSyringeModelNumber(CWE objSyringeModelNumber)
	{
		setDataType(3385,objSyringeModelNumber);
	}
	
	
	/**
	 * Retrieves the Syringe Size.
	 * This field contains the syringe's numeric total volume size. 
	 * @return NM - SyringeSize
	 */
	public NM getSyringeSize() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3386);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (NM)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Syringe Size.
	 * This field contains the syringe's numeric total volume size.  
	 * @param strSyringeSize Specifise the Syringe Size.
	 */ 
	public void setSyringeSize (String strSyringeSize) 
	{
		NM SyringeSize  = (NM)getDataElement(3386);
		SyringeSize.setValue(strSyringeSize); 
		setSyringeSize(SyringeSize);

	} 

	/** 
	 * Set the Syringe Size.
	 * This field contains the syringe's numeric total volume size. 
	 * @param objSyringeSize Object of Syringe Size.
	 */ 
	public void setSyringeSize(NM objSyringeSize)
	{
		setDataType(3386,objSyringeSize);

	}
	
	/**
	 * Retrieves the Syringe Size Units.
	 * This field indicates the amount units associated with the syringe size.  
	 * The preferred coding system is MDC; UCUM are also acceptable. 
	 * @return CWE - SyringeSizeUnits
	 */
	public CWE getSyringeSizeUnits() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(3431);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (CWE)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Syringe Size Units.
	 * This field indicates the amount units associated with the syringe size.  
	 * The preferred coding system is MDC; UCUM are also acceptable.   
	 * @param strIdentifier Specifies of characters (the code) that uniquely identifies the item being referenced. 
	 * @param strText Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction. 
	 * @param strNameOfCodingSystem Identifies the coding scheme being used in the identifier component.
	 * @param strAlternateIdentifier Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
	 * @param strAlternateText Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
	 * @param strNameOfAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component. 
	 * @param strCodingSystemVersionID A sequence of characters that uniquely identifies a second alternate code.
	 * @param strAlternateCodingSystemVersionId This component carries the version for the coding system identified by components 4-6.
	 * @param strOriginalText The text as seen and/or selected by the user who entered the data.
	 * @param strSecondAlternateIdentifier A sequence of characters that uniquely identifies a second alternate code.
	 * @param strSecondAlternateText The descriptive or textual name of the alternate identifier.
	 * @param strNameofSecondAlternateCodingSystem Identifies the coding scheme being used in the alternate identifier component.
	 * @param strSecondAlternateCodingSystemVersionID This component carries the version for the coding system identified by components 10-12.
	 * @param strCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
	 * @param strValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
	 * @param strValueSetVersionID This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
	 * @param strAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
	 * @param strAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
	 * @param strAlternateValueSetVersionID This component carries the version for the value set identified by CWE.18. The version is a date.
	 * @param strSecondAlternateCodingSystemOID This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
	 * @param strSecondAlternateValueSetOID This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
	 * @param strSecondAlternateValueSetVersionID This component carries the version for the value set identified by CWE.21. The version is a date.
	 */ 
	public void setSyringeSizeUnits(String strIdentifier,String strText,String strNameOfCodingSystem,
			String strAlternateIdentifier,String strAlternateText,String strNameOfAlternateCodingSystem, String strCodingSystemVersionID, String strAlternateCodingSystemVersionId,
			String strOriginalText, String  strSecondAlternateIdentifier, String strSecondAlternateText, 
			String strNameofSecondAlternateCodingSystem, String strSecondAlternateCodingSystemVersionID, String strCodingSystemOID, String strValueSetOID,
			String strValueSetVersionID, String strAlternateCodingSystemOID, String strAlternateValueSetOID, String strAlternateValueSetVersionID,
			String  strSecondAlternateCodingSystemOID, String strSecondAlternateValueSetOID, String strSecondAlternateValueSetVersionID)
	{
		CWE cwe  = (CWE)getDataElement(3431);
		cwe.setIdentifier(strIdentifier);
		cwe.setText(strText);
		cwe.setNameOfCodingSystem(strNameOfCodingSystem);
		cwe.setAlternateIdentifier(strAlternateIdentifier);
		cwe.setAlternateText(strAlternateText);
		cwe.setNameOfAlternateCodingSystem(strNameOfAlternateCodingSystem); 
		cwe.setCodingSystemVersionID(strCodingSystemVersionID);
		cwe.setAlternateCodingSystemVersionId(strAlternateCodingSystemVersionId);
		cwe.setOriginalText(strOriginalText);
		cwe.setSecondAlternateIdentifier(strSecondAlternateIdentifier);
		cwe.setSecondAlternateText(strSecondAlternateText);
		cwe.setNameofSecondAlternateCodingSystem(strNameofSecondAlternateCodingSystem);
		cwe.setSecondAlternateCodingSystemVersionID(strSecondAlternateCodingSystemVersionID);
		cwe.setCodingSystemOID(strCodingSystemOID);
		cwe.setValueSetOID(strValueSetOID);
		cwe.setValueSetVersionID(strValueSetVersionID);
		cwe.setAlternateCodingSystemOID(strAlternateCodingSystemOID);
		cwe.setAlternateValueSetOID(strAlternateValueSetOID);
		cwe.setAlternateValueSetVersionID(strAlternateValueSetVersionID);
		cwe.setSecondAlternateCodingSystemOID(strSecondAlternateCodingSystemOID);
		cwe.setSecondAlternateValueSetOID(strSecondAlternateValueSetOID);
		cwe.setSecondAlternateValueSetVersionID(strSecondAlternateValueSetVersionID);
		setSyringeSizeUnits(cwe);

	} 
	
	/** 
	 * Set the Syringe Size Units.
	 * This field indicates the amount units associated with the syringe size.  
	 * The preferred coding system is MDC; UCUM are also acceptable.   
	 * @param objSyringeSizeUnits Object of Syringe Size Units.
	 */ 
	public void setSyringeSizeUnits(CWE objSyringeSizeUnits)
	{
		setDataType(3431,objSyringeSizeUnits);
	}
	
	/**
	 * Retrieves the Action Code.
	 * The intended handling by the receiver of the infusion order is represented by this segment.    
	 * @return ID - ActionCode
	 */
	public ID getActionCode() 
	{
		ISingleCollection<IDataType> objDataCollection =getDataType(816);
		if(objDataCollection != null && objDataCollection.size() != 0) 
			return (ID)objDataCollection.elementAt(0);
		else
			return null;
	}
	
	/**
	 * Set the Action Code.
	 * The intended handling by the receiver of the infusion order is represented by this segment.    
	 * @param strActionCode This field identifies the type of bolus being ordered.
	 * 
	 */ 
	public void setActionCode (String strActionCode) 
	{
		ID ActionCode  = (ID)getDataElement(816);
		ActionCode.setValue(strActionCode); 
		setActionCode(ActionCode);

	}
	
	/** Set the Action Code.
	 * The intended handling by the receiver of the infusion order is represented by this segment.    
	 * @param objActionCode This field identifies the type of bolus being ordered.
	 * 
	 */ 
	public void setActionCode(ID objActionCode)
	{
		setDataType(816,objActionCode);
	}
}
